%define name krusader
%define version 1.20
%define release 4mdk

Summary: 	A twin panel file manager for kde
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%name-%{version}.tar.bz2
Epoch:         2
License: 	GPL
Group: 		File tools
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://krusader.sourceforge.net
Requires: 	kdelibs libqt3

BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires: libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 openssl db1 freetype2
BuildRequires: libjpeg62 libmng1 libpng3 libqt3 libqt3-devel rpm-build libfam-devel

Obsoletes:	kde3-krusader
Provides:	kde3-krusader

%description
Krusader is a new "old-school" file manager and ftp client.
It's twin-panel look follows in the footsteps of the great
file managers of old: GNU's Midnight Commander and
the DOS all time favorite Norton Commander.
Krusader features:
intuative GUI, complete drag n' drop support, transpernt handeling of archives 
and ftp volumes, bookmarks (with bookmark manager ), pack and unpack from the 
main window, command line with history and "run in terminal" option, internal
viewer, built-in mount manager with auto-mount option and more


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %name-%version

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
# %%configure doesn't work
./configure --prefix=%_prefix \
	--bindir=%_bindir \
	--libdir=%_libdir \
	--datadir=%_datadir \
        --disable-rpath \
	--disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall KDEDIR=$RPM_BUILD_ROOT%{_prefix} kde_minidir=$RPM_BUILD_ROOT%{_miconsdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}

kdedesktop2mdkmenu.pl krusader "Applications/File tools"    %buildroot/%_datadir/applnk/Applications/krusader.desktop                             %buildroot/%_menudir/krusader

%find_lang krusader

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f krusader.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%doc %{_datadir}/doc/HTML/en/*
%_bindir/*
%_datadir/applnk/Applications/krusader.desktop

%dir %_datadir/apps/krusader/
%_datadir/apps/krusader/*.rc
%_datadir/apps/krusader/*.png
%_datadir/apps/krusader/*.jpg

%dir %_datadir/apps/krusader/icons/
%dir %_datadir/apps/krusader/icons/hicolor/
%dir %_datadir/apps/krusader/icons/hicolor/16x16/
%dir %_datadir/apps/krusader/icons/hicolor/16x16/actions/
%_datadir/apps/krusader/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/krusader/icons/hicolor/22x22/
%dir %_datadir/apps/krusader/icons/hicolor/22x22/actions/
%_datadir/apps/krusader/icons/hicolor/22x22/actions/*.png

%dir %_datadir/apps/krusader/icons/hicolor/32x32/
%dir %_datadir/apps/krusader/icons/hicolor/32x32/actions/
%_datadir/apps/krusader/icons/hicolor/32x32/actions/*.png

%dir %_datadir/icons/hicolor/32x32/apps/
%_datadir/icons/hicolor/32x32/apps/*.png

%dir %_datadir/icons/locolor/16x16/apps/
%_datadir/icons/locolor/16x16/apps/*.png


%_menudir/*

#%{_iconsdir}/krusader.png
#%_datadir/icons/hicolor/16x16/apps/krusader.png
%_datadir/icons/hicolor/32x32/apps/krusader.png

%_datadir/mimelnk/application/*.desktop 

%changelog
* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-4mdk
- Rebuild

* Thu Jun 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-3mdk
- Re-upload, readd epoch removed by Lenny thanks Warly

* Thu Jun 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.20-2mdk
- Rebuild because binary was not uploading into contrib

* Tue Jun 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.20-1mdk
- 1.20

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.12-0.beta1.2mdk
- added libfam-devel to buildrequires (why do I find it hard to believe that we
  need all those buildrequires already there..?;)

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.12-0.beta1.2mdk
- Rebuild

* Tue Jan 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.12-0.beta1.1mdk
- 1.12bet1

* Sat Oct 19 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.11-2mdk
- add a libdir to the configure call to fix a rpmlint error

* Fri Oct 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.11-1mdk
- 1.11

* Thu Aug 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.10-1mdk
- 1.10

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.02-8mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-7mdk
- Rebuild against gcc-3.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-6mdk
- Fix menu entry

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-5mdk
- Rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-4mdk
- Rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-3mdk
- Rebuild against gcc3.1

* Thu Apr 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-2mdk
- Fix menu entry

* Wed Apr 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.02-1mdk
- 1.02

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.01-2mdk
- Fix update menu

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.01-1mdk
- port to kde3.0 
